## eom-plugin-engine eom-plugin-engine |

## Functions

gboolean | eom_plugin_engine_init ()
void | eom_plugin_engine_shutdown ()
void | eom_plugin_engine_garbage_collect ()
const GList * | eom_plugin_engine_get_plugins_list ()
gboolean | eom_plugin_engine_activate_plugin ()
gboolean | eom_plugin_engine_deactivate_plugin ()
gboolean | eom_plugin_engine_plugin_is_active ()
gboolean | eom_plugin_engine_plugin_is_available ()
gboolean | eom_plugin_engine_plugin_is_configurable ()
void | eom_plugin_engine_configure_plugin ()
void | eom_plugin_engine_update_plugins_ui ()
const gchar * | eom_plugin_engine_get_plugin_name ()
const gchar * | eom_plugin_engine_get_plugin_description ()
const gchar * | eom_plugin_engine_get_plugin_icon_name ()
const gchar ** | eom_plugin_engine_get_plugin_authors ()
const gchar * | eom_plugin_engine_get_plugin_website ()
const gchar * | eom_plugin_engine_get_plugin_copyright ()

## Types and Values

| EomPluginInfo

## Description

## Functions

### eom_plugin_engine_init ()

    gboolean
    eom_plugin_engine_init (void);

#### Returns

### eom_plugin_engine_shutdown ()

    void
    eom_plugin_engine_shutdown (void);

### eom_plugin_engine_garbage_collect ()

    void
    eom_plugin_engine_garbage_collect (void);

### eom_plugin_engine_get_plugins_list ()

    const GList *
    eom_plugin_engine_get_plugins_list (void);

#### Returns

### eom_plugin_engine_activate_plugin ()

    gboolean
    eom_plugin_engine_activate_plugin (EomPluginInfo *info);

#### Returns

### eom_plugin_engine_deactivate_plugin ()

    gboolean
    eom_plugin_engine_deactivate_plugin (EomPluginInfo *info);

#### Returns

### eom_plugin_engine_plugin_is_active ()

    gboolean
    eom_plugin_engine_plugin_is_active (EomPluginInfo *info);

#### Returns

### eom_plugin_engine_plugin_is_available ()

    gboolean
    eom_plugin_engine_plugin_is_available (EomPluginInfo *info);

#### Returns

### eom_plugin_engine_plugin_is_configurable ()

    gboolean
    eom_plugin_engine_plugin_is_configurable
                                   (EomPluginInfo *info);

#### Returns

### eom_plugin_engine_configure_plugin ()

    void
    eom_plugin_engine_configure_plugin (EomPluginInfo *info,
                                        GtkWindow *parent);

### eom_plugin_engine_update_plugins_ui ()

    void
    eom_plugin_engine_update_plugins_ui (EomWindow *window,
                                         gboolean new_window);

### eom_plugin_engine_get_plugin_name ()

    const gchar *
    eom_plugin_engine_get_plugin_name (EomPluginInfo *info);

#### Returns

### eom_plugin_engine_get_plugin_description ()

    const gchar *
    eom_plugin_engine_get_plugin_description
                                   (EomPluginInfo *info);

#### Returns

### eom_plugin_engine_get_plugin_icon_name ()

    const gchar *
    eom_plugin_engine_get_plugin_icon_name
                                   (EomPluginInfo *info);

#### Returns

### eom_plugin_engine_get_plugin_authors ()

    const gchar **
    eom_plugin_engine_get_plugin_authors (EomPluginInfo *info);

#### Returns

### eom_plugin_engine_get_plugin_website ()

    const gchar *
    eom_plugin_engine_get_plugin_website (EomPluginInfo *info);

#### Returns

### eom_plugin_engine_get_plugin_copyright ()

    const gchar *
    eom_plugin_engine_get_plugin_copyright
                                   (EomPluginInfo *info);

#### Returns

## Types and Values

### EomPluginInfo

    typedef struct _EomPluginInfo EomPluginInfo;